SDL_HINT_CAMERA_DRIVER(3)

NAME
SDL_HINT_CAMERA_DRIVER - A variable that decides what camera backend to use.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_CAMERA_DRIVER SDL_CAMERA_DRIVER"

DESCRIPTION
By default, SDL will try all available camera backends in a reasonable order until it finds one that can work, but this hint allows the app or user to force a specific target, such as "directshow" if, say, you are on Windows Media Foundations but want to try DirectShow instead.

The default value is unset, in which case SDL will try to figure out the best camera backend on your behalf. This hint needs to be set before

SDL_Init () is called to be useful.

AVAILABILITY
This hint is available since SDL 3.2.0.